# Generated from zooming-proxy-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name zooming-proxy

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: Rack middleware to simulate the "zooming proxy" spec
License: MIT
URL: https://blendle.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cucumber) >= 2.4
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(cucumber-blendle-steps) >= 0.8
# BuildRequires: rubygem(cucumber-blendle-steps) < 1
# BuildRequires: rubygem(json) >= 1.8
# BuildRequires: rubygem(json) < 2
# BuildRequires: rubygem(json_spec) >= 1.1
# BuildRequires: rubygem(json_spec) < 2
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(rubocop) >= 0.40
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(sinatra) >= 1.4
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(webmock) >= 2.0
# BuildRequires: rubygem(webmock) < 3
BuildArch: noarch

%description
Using this Rack middleware Gem, you can zoom requests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.wercker.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/zooming-proxy.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.4.1-1
- Initial package
